[pkg-wpa-devel] [wpa] 05/07: Consider all ifupdown configuration, not only /etc/network/interfaces
Andrew Shadura
andrewsh at debian.org
Fri Nov 24 16:28:16 UTC 2017
This is an automated email from the git hooks/post-receive script.
andrewsh pushed a commit to branch debian/experimental
in repository wpa.
commit b62293e1f1f8e9a79c732de933ef5fc2a7cf06c1
Author: Jan-Benedict Glaw <jbglaw at lug-owl.de>
Date: Tue Jan 31 10:06:47 2017 +0100
Consider all ifupdown configuration, not only /etc/network/interfaces
/etc/wpa_supplicant/functions.sh used to only look at the
/etc/network/interfaces file. However, common configurations
contain an include statement for ie. /etc/network/interfaces.d/*
Do not do the parsing here, but just query properties of the given
interface. If that works, there's a matching "iface" stanca.
Gbp-Dch: Short
Closes: #853293
---
debian/ifupdown/functions.sh | 6 ++----
1 file changed, 2 insertions(+), 4 deletions(-)
diff --git a/debian/ifupdown/functions.sh b/debian/ifupdown/functions.sh
index 67ac946..3d873a2 100644
--- a/debian/ifupdown/functions.sh
+++ b/debian/ifupdown/functions.sh
@@ -931,10 +931,8 @@ ifup () {
fi
if [ -n "$WPA_LOGICAL_IFACE" ]; then
- if egrep -q "^iface[[:space:]]+${WPA_LOGICAL_IFACE}[[:space:]]+inet" "$INTERFACES_FILE"; then
- : # logical network is defined
- else
- wpa_msg log "network settings not defined for $WPA_LOGICAL_IFACE in $INTERFACES_FILE"
+ if ! /sbin/ifquery "${WPA_LOGICAL_IFACE}" > /dev/null 2/&1; then
+ wpa_msg log "network settings not defined for $WPA_LOGICAL_IFACE in $INTERFACES_FILE and included files."
WPA_LOGICAL_IFACE="default"
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/collab-maint/wpa.git
More information about the Pkg-wpa-devel
mailing list